name: Deploy to OVH

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Deploy via SSH
        uses: appleboy/ssh-action@v1.0.3
        with:
          host: ${{ secrets.OVH_SSH_HOST }}
          username: ${{ secrets.OVH_SSH_USER }}
          password: ${{ secrets.OVH_SSH_PASSWORD }}
          script: cd ~/www && bash deploy.sh
